Summary: KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Name:    kf5-kauth
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kauth
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kauth-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros, kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel, polkit-qt5-1-devel



%description
KAuth is a framework to let applications perform actions as a privileged user.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kauth-%{version} -p1



%build
%cmake_kf5 \
  -DKDE_INSTALL_LIBEXECDIR=%{_kf5_libexecdir}

%cmake_build



%install
%cmake_install

%find_lang_kf5 kauth5_qt



%files -f kauth5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Auth.so.5*
%{_kf5_libdir}/libKF5AuthCore.so.5*
%{_kf5_datadir}/qlogging-categories5/kauth.*
%{_kf5_datadir}/dbus-1/system.d/org.kde.kf5auth.conf
%{_kf5_qtplugindir}/kauth/
%{_kf5_datadir}/kf5/kauth/
%{_kf5_libexecdir}/kauth/

%files devel
%{_kf5_libdir}/libKF5Auth.so
%{_kf5_libdir}/libKF5AuthCore.so
%{_kf5_libdir}/cmake/KF5Auth/
%{_kf5_includedir}/KAuth/
%{_kf5_includedir}/KAuthCore/
%{_kf5_includedir}/KAuthWidgets/
%{_kf5_archdatadir}/mkspecs/modules/qt_KAuth*.pri



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial